summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2010-05-11 20:02:01 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:02:01 +0200
commit16808fc8cf5aa630e98fff836dc6a34e3315d6ff (patch)
treee93492f94ce6fcd9a294c8071fbbbca9727e8fac
parent746cf3047d760fc663653fb398e11106006fca06 (diff)
downloadslackbuilds-16808fc8cf5aa630e98fff836dc6a34e3315d6ff.tar.gz
slackbuilds-16808fc8cf5aa630e98fff836dc6a34e3315d6ff.tar.xz
system/kshutdown: Added to 12.0 repository
-rw-r--r--system/kshutdown/README13
-rw-r--r--system/kshutdown/kshutdown.SlackBuild97
-rw-r--r--system/kshutdown/kshutdown.info8
-rw-r--r--system/kshutdown/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/system/kshutdown/README b/system/kshutdown/README
new file mode 100644
index 0000000000..1d36102ddb
--- /dev/null
+++ b/system/kshutdown/README
@@ -0,0 +1,13 @@
+KShutdown is an advanced shut down utility for KDE/Linux/Windows
+
+Features:
+ * Turn Off Computer (logout and halt the system)
+ * Restart Computer (logout and reboot the system)
+ * Lock Screen (lock the screen using a screen saver)
+ * End Current Session (end the current KDE session and logout the user)
+ * Extras (additional, external user commands)
+ * Time and delay options
+ * Command line and DCOP support
+ * System tray icon and panel applet
+ * Visual and sound notifications
+ * KDE Kiosk support
diff --git a/system/kshutdown/kshutdown.SlackBuild b/system/kshutdown/kshutdown.SlackBuild
new file mode 100644
index 0000000000..e36d90ad06
--- /dev/null
+++ b/system/kshutdown/kshutdown.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for KShutdown
+
+# Copyright (c) 2008 Andrzej Telszewski <atelszewski@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Slightly modified by the slackbuilds.org project.
+set -e
+
+# Set initial variables:
+PRGNAM=kshutdown
+VERSION=1.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+--prefix=${KDEDIR} \
+--sysconfdir=/etc/kde \
+--localstatedir=/var \
+--build=$ARCH-slackware-linux \
+--host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS INSTALL README TODO VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/kshutdown/kshutdown.info b/system/kshutdown/kshutdown.info
new file mode 100644
index 0000000000..3f06b8ead4
--- /dev/null
+++ b/system/kshutdown/kshutdown.info
@@ -0,0 +1,8 @@
+PRGNAM="kshutdown"
+VERSION="1.0.2"
+HOMEPAGE="http://kshutdown.sourceforge.net/"
+DOWNLOAD="http://mesh.dl.sourceforge.net/sourceforge/kshutdown/kshutdown-1.0.2.tar.bz2"
+MD5SUM="3e945657f856adf367a18fc11cf25382"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
+APPROVED="Michiel"
diff --git a/system/kshutdown/slack-desc b/system/kshutdown/slack-desc
new file mode 100644
index 0000000000..16e2a3e165
--- /dev/null
+++ b/system/kshutdown/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+kshutdown: kshutdown (shut down utility)
+kshutdown:
+kshutdown: KShutdown is an advanced shut down utility for KDE/Linux/Windows.
+kshutdown:
+kshutdown: KShutdown was written by Konrad Twardowski
+kshutdown:
+kshutdown: Home page: http://kshutdown.sourceforge.net/
+kshutdown:
+kshutdown:
+kshutdown:
+kshutdown: